const mysql = require("mysql");
const {Server, MysqlAccessor} = require("../../index");

const connection = mysql.createConnection({
	host: "localhost",
	user: "root",
	database: "node-ipc-store-test",
	password: ""
});

connection.query(
	`CREATE TABLE IF NOT EXISTS some_table (
        some_key_field_name int(11) AUTO_INCREMENT,
        some_field_name int(11),
        PRIMARY KEY (some_key_field_name)
    ) ENGINE=MyISAM DEFAULT CHARSET=utf8`,
	(error, results, fields) => {
		if (error) {
			console.log("db error " + error.code);
			process.exit(1);
			return;
		}
		const server = new Server({accessor: new MysqlAccessor({connection})});
	}
);
